{% extends "core/base.html" %}
{% load static %}
{% load widget_tweaks %}

{% block content %}
<div class="login-box">
	<div class="login-logo">
		<img src="{% static 'img/logo/logo-safemilk.png' %}" width="100%">
	</div>
	<!-- /.login-logo -->
	<div class="login-box-body">
		<p class="login-box-msg">Cadastro Usuário</p>
		<form class='form-vertical' style="margin-top: 20px;" action="{% url 'admin:register_user' %}" method="POST" enctype="multipart/form-data">
    		{% csrf_token %}
    		<div class="form-group">
                <label>Nome de Usuário</label>
                {% if form.username.errors %}
                    {% render_field form.username class+="form-control placeholder-no-fix"  aria-describedby="username-error"%}
                    {% for erro in form.username.errors %}
                    	<span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.username class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>Email</label>
                {% if form.email.errors %}
                    {% render_field form.email class+="form-control placeholder-no-fix"  aria-describedby="email-error"%}
                    {% for erro in form.email.errors %}
                    	<span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.email class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>Senha</label>
                {% if form.password1.errors %}
                    {% render_field form.password1 class+="form-control placeholder-no-fix"  aria-describedby="password1-error"%}
                    {% for erro in form.password1.errors %}
                    	<span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.password1 class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="form-group">
                <label>Confirmar Senha</label>
                {% if form.password2.errors %}
                    {% render_field form.password2 class+="form-control placeholder-no-fix"  aria-describedby="password2-error"%}
                    {% for erro in form.password2.errors %}
                    	<span class="text-danger">{{erro}}</span>  
                    {% endfor %}
                {% else %}
                    {% render_field form.password2 class+="form-control placeholder-no-fix" %}
                {% endif %}
            </div>
            <div class="pull-right">
            	<button class="btn btn-primary">Salvar</button>
            </div>
    	</form>
    	<div class="row">
			<div class="col-xs-12 text-center">
				<br>
			</div>
		</div>
	</div>
	<!-- /.login-box-body -->
</div>
<!-- /.login-box -->
{% endblock content %}